Skip to main content
POST
/
gpu-instance
/
openapi
/
v1
/
networkstorage
/
create
Create Network Storage
curl --request POST \
  --url https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "clusterId": "<string>",
  "storageName": "<string>",
  "storageSize": 123
}
'
import requests

url = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create"

payload = {
"clusterId": "<string>",
"storageName": "<string>",
"storageSize": 123
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({clusterId: '<string>', storageName: '<string>', storageSize: 123})
};

fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

clusterId
string
required
storageName
string
required
storageSize
integer
required

Example

Request
curl --request POST \
  --url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/create' \
  --header 'Authorization: Bearer {{API Key}}' \
  --header 'Content-Type: application/json' \
  --data '{
    "clusterId": "string",
    "storageName": "string",
    "storageSize": 0
  }'
Response
"<string>"
Last modified on December 23, 2024